/*
 * File         : test2.java
 * Author       : Guansong Zhang
 * Created      : Thu Jan  8 11:08:32 1998
 * Revision     : $Revision: 1.1 $
 * Updated      : $Date: 1998/01/08 21:36:46 $
 * Copyright: Northeast Parallel Architectures Center
 *            at Syracuse University 1998
 */

import adlib.*;

class test2 {
  public static void main(String argv[]) {
    Adlib.Initialize(argv);

    Procs1 p=new Procs1(4);

    BlockRange x = new BlockRange (32, p.dim(0));
    Array1Float a = new Array1Float(x,p);

    BlockRange y = new BlockRange (200, p.dim(0));
    Array1Float b = new Array1Float(y,p);

    if (p.on()) {

      Index j = new Index (y);

      j.dim().over();
      for (j.begin(); j.test(); j.next()) {
	b.data[b.element(j)]=1+j.crd();
      } j.dim().revo();

      Index i = new Index (x);

      i.dim().over();
      for (i.begin(); i.test(); i.next()) {
	a.data[a.element(i)]=1000*(1+i.crd());
      } i.dim().revo();

      Range xs=x.subrng(10, 9);
      Range ys=y.subrng(10,99,10);

      Adlib.remap(a.section(xs), b.section(ys));

    } p.no();

    Adlib.aprintf("%12.2f\n", a);    

    Adlib.Finalize();

  }

}
